/*===========================================================================*/
/*                                                                           */
/* File    : STATIC.C                                                        */
/*                                                                           */
/* Purpose : Shows the different styles of static controls.                  */
/*                                                                           */
/* History :                                                                 */
/*                                                                           */
/* (C) Copyright 1989-1992 Marc Adler/Magma Systems     All Rights Reserved  */
/*===========================================================================*/
#include "wmewldem.h"


VOID FAR PASCAL StaticDemo(void)
{
  FARPROC lpfn;

  /*
    Invoke the dialog box
  */
  lpfn = MakeProcInstance((FARPROC) StaticDialogProc, hAppInstance);
  DialogBox(hAppInstance, "StaticTestDlg", hMain, lpfn);
  FreeProcInstance(lpfn);
}


int FAR PASCAL StaticDialogProc(HWND hDlg, WORD msg, WORD wParam, DWORD lParam)
{
  (void) lParam;

  switch (msg)
  {
    case WM_INITDIALOG :
      return TRUE;

    case WM_COMMAND :
      switch (wParam)
      {
        case IDOK :
          EndDialog(hDlg, TRUE);
          break;
      }
      return TRUE;
  }
  return FALSE;
}

